Download it now!
Bug 89553 - NAVIGATOR: Reverse the behaviour of the page number control
Summary: NAVIGATOR: Reverse the behaviour of the page number control
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 89566
  Show dependency treegraph
 
Reported: 2015-02-22 09:31 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-09-30 17:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Solution discussed during the UX meeting (6.32 KB, image/png)
2015-09-30 17:37 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-22 09:31:01 UTC
Presently with the page number control, you have to click the up arrow key or scroll upwards to increase the page number. I think this is quite confusing as you are going down pages and pressing the up arrow to do so.
Comment 1 mahfiaz 2015-02-23 08:32:56 UTC
Changing this would be just as confusing to other people, since spinboxes usually work only one way.
Comment 2 Robinson Tryon (qubit) 2015-02-25 21:39:15 UTC
ux-advise -> NEW
Comment 3 Cor Nouws 2015-09-30 06:59:22 UTC
(In reply to mahfiaz from comment #1)
> Changing this would be just as confusing to other people, since spinboxes
> usually work only one way.

Yes, I think this prevails over the other idea. Simply set to WontFix...
Comment 4 Yousuf Philips (jay) (retired) 2015-09-30 10:55:58 UTC
Have added this to the backlog of things to be discussed in the design meeting, as this is a UX problem, especially when you have up and down arrows to the left of the spinbox that are for previous page (up) and next page (down).
Comment 5 Cor Nouws 2015-09-30 11:13:08 UTC
OK, thanks!
Comment 6 Heiko Tietze 2015-09-30 16:57:18 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> Have added this to the backlog of things to be discussed in the design
> meeting, as this is a UX problem, especially when you have up and down
> arrows to the left of the spinbox that are for previous page (up) and next
> page (down).

The left/right arrows don't set the spin value -> bug. 
Spin edit with reverse interaction -> no go. 
Remove the spinner - yes, but it's the only way to jump to a particular page
Remove arrows - yes, but rather have an input in the middle between for direct access and two arrows left and right; and those can be left/right but also up/down as in the document
Comment 7 Heiko Tietze 2015-09-30 17:37:31 UTC
Created attachment 119144 [details]
Solution discussed during the UX meeting

Remove spinner, add simple input, have the existing up/down buttons (often shown as left/right) for next/previous page.